#import <Foundation/Foundation.h>
#import "AdFormatDescriptor.h"

@implementation AdFormatDescriptor

+ (NSString *)getDescriptionForAdFormat:(DemoAdFormat)adFormat {
    switch(adFormat) {
        case AdFormatDisplayBanner:
            return @"Display Banner";
        case AdFormatVideoBanner:
            return @"Mrec Banner";
        case AdFormatDisplayInterstitial:
            return @"Display Interstitial";
        case AdFormatVideoInterstitial:
            return @"Video Interstitial";
        case AdFormatVideoRewarded:
            return @"Video Rewarded";
        case AdFormatNative:
            return @"Native";
        case AdFormatAll:
            return @"All";
    }
}
@end
